"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apolloOperationsPerGQLOperation = exports.operationsFilenames = exports.FILE_EXTENSION_MAP = void 0;
const generator_1 = require("amplify-graphql-docs-generator/lib/generator");
const types_1 = require("./types");
exports.FILE_EXTENSION_MAP = {
    [types_1.Language.JAVASCRIPT]: "js",
    [types_1.Language.TYPESCRIPT]: "ts",
};
exports.operationsFilenames = {
    [generator_1.GQLOperationTypeEnum.QUERY]: "queries",
    [generator_1.GQLOperationTypeEnum.MUTATION]: "mutations",
    [generator_1.GQLOperationTypeEnum.SUBSCRIPTION]: "subscriptions",
};
exports.apolloOperationsPerGQLOperation = {
    [generator_1.GQLOperationTypeEnum.QUERY]: [
        types_1.ApolloOperation.Query,
        types_1.ApolloOperation.LazyQuery,
    ],
    [generator_1.GQLOperationTypeEnum.MUTATION]: [types_1.ApolloOperation.Mutation],
    [generator_1.GQLOperationTypeEnum.SUBSCRIPTION]: [types_1.ApolloOperation.Subscription],
};
//# sourceMappingURL=constants.js.map