import { GQLOperationTypeEnum } from "amplify-graphql-docs-generator/lib/generator";
import { ApolloOperation } from "./types";
export declare const FILE_EXTENSION_MAP: Record<string, string>;
export declare const operationsFilenames: {
    readonly query: "queries";
    readonly mutation: "mutations";
    readonly subscription: "subscriptions";
};
export declare const apolloOperationsPerGQLOperation: {
    readonly query: readonly [ApolloOperation.Query, ApolloOperation.LazyQuery];
    readonly mutation: readonly [ApolloOperation.Mutation];
    readonly subscription: readonly [ApolloOperation.Subscription];
};
